#ifndef SH_PLATFORM_H
#define SH_PLATFORM_H

#include <QObject>
#include <pistring.h>
#include <piplatform.h>


class SHPlatform: public QObject {
	Q_OBJECT
	Q_ENUMS(OSType)
public:

	enum OSType {
		Unknown,
		Linux,
		Windows,
		QNX,
		FreeBSD,
		Android,
		MacOS,
		iOS,
		Blackberry,
		OS_Count
	};

};

int thisOS();
PIString thisArch();
PIString hostType(int os, const PIString & arch);
PIString thisHostType();
int OSByName(PIString os);

#endif // SH_PLATFORM_H
